SYSLOGD(8)

NOME
syslogd - fa il log dei messaggi di sistema

SINTASSI
syslogd [-V] [-a socket] [-d] [-f config_file] [-h] [-l host_list] [-m mark_interval] [-n] [-p log_socket] [-r] [-s domain_list] [--no-klog] [--no-unixaf] [--no-forward]

DESCRIZIONE
Syslogd legge e fa il logs dei messaggi alla console di sistema, fa il log di file, altre macchine e/o utenti come specificato dal suo file di configurazione. Le opzioni sono le seguenti:

-V  Stampa il numero di versione ed esce.

--help
    Visualizza informazioni di aiuto ed esce.

-d  Entra in modalità debug. syslogd non si mette in background, non fa il fork e mostra informazioni di debug.

-a  Specifica dei socket aggiuntivi dai quali syslogd deve ascoltare. Questo è necessario se si intende permettere a qualche demone di funzionare in un ambiente a cui si è acceduto con chroot()'. Si possono specificare fino a 19 socket aggiuntivi.

-f, --rcfile=FILE
    Specifica il percorso di un file di configurazione alternativo; il default è specifico di sistema e mostrato nell'output di help.

-h, --hop
    Abilita l'inoltro dei messaggi remoti. Per default syslogd non inoltra i messaggi che riceve da host remoti.

-l  Un elenco di host separati da caratteri di due punti che devono essere considerati locali; essi vengono loggati con il loro nome invece che con il loro FQDN (Fully Qualified Domain Name).

-m, --mark=INTERVAL/fP
    Seleziona il numero di minuti tra i messaggi ``mark''. Il default è 20 minuti. Impostarlo a 0 disabilita la marcatura temporale.

-n, --no-detach
    Sopprime la messa in background e il distacco del demone dal suo terminale di controllo.

-p, --socket=PATH
    specifica il percorso di un socket di log alternativo. Il default è specifico di sistema e visualizzato nell'output di help.

-r, --inet
    Abilita il ricevimenti di messaggi usando il socket di un dominio internet. Il default è di non ricevere alcun messaggio dalla rete. Le versioni più vecchie accettano sempre messaggi remoti.

-s  Un elenco di nomi di domini separati da caratteri di due punti che devono essere separati dgli FQDN degli host quando si fa il log.

--no-klog
    Non ascolta il dispositivo di log del kernel. Questo è supportato solo su sistemi che definiscono un dispositivo di log del kernel, in tutti gli altri questo è già il default, e l'opzione verrà silenziosamente ignorata.

--no-unixaf
    Non ascolta alcun socket di dominio unix. Questa opzione sovrascrive -p e -a.

--no-forward
    Non inoltra alcun messaggio. Questo sovrascrive -h.

Syslogd legge il suo file di configurazione quando parte e qualora riceva un segnale di riavvio. Per informazioni sul formato del file di configurazione, vedere syslog.conf(5).

Syslogd legge messaggi dal socket del dominio UNIX /dev/log, da un socket del dominio Internet specificato in /etc/services, e dal dispositivo speciale /dev/klog (per leggere i messaggi del kernel).

Syslogd crea il file /var/run/syslog.pid, e memorizza il suo processo id lì. Questo può essere usato per un kill o per riconfigurare syslogd.

Il messaggio inviato a syslogd deve consistere di una singola linea. Il messaggio può contenere un codice di priorità, che deve essere un numero decimale anteposto inserito in parentesi angolari, per esempio, ‘<5.>’ Questo codice di priorità viene mappato nelle priorità definite nel fileinclude <sys/syslog.h>.

FILE
/etc/syslog.conf
    Il file di configurazione
/var/run/syslog.pid
    L'id di processo del syslogd corrente.
/dev/log
    Nome del datagramma del socket log del dominio UNIX.
/dev/klog
    Il dispositivo di log del kernel.

VEDERE ANCHE
logger(1), syslog(3), services(5), syslog.conf(5)

STORIA
Il comando syslogd è apparso nella 4.3BSD.